Bug 434002 - gnome-chemistry-utils failed massrebuild attempt for GCC 4.3
gnome-chemistry-utils failed massrebuild attempt for GCC 4.3
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnome-chemistry-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43errors
  Show dependency treegraph
 
Reported: 2008-02-22 07:54 EST by Jesse Keating
Modified: 2013-01-09 21:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-23 17:56:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 07:54:28 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=436782
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-02-23 14:13:01 EST
In file included from /usr/include/openbabel-2.0/openbabel/mol.h:44,
                 from chem3ddoc.h:30,
                 from chem3ddoc.cc:26:
/usr/include/openbabel-2.0/openbabel/data.h: In constructor
'OpenBabel::OBElement::OBElement(int, const char*, double, double, int, double,
double, double, double, double, double, double, std::string)':
/usr/include/openbabel-2.0/openbabel/data.h:116: error: 'strncpy' was not
declared in this scope
In file included from chem3ddoc.cc:35:
/usr/include/openbabel-2.0/openbabel/obconversion.h: In member function 'bool
OpenBabel::CharPtrLess::operator()(const char*, const char*) const':
/usr/include/openbabel-2.0/openbabel/obconversion.h:152: error: 'strcasecmp' was
not declared in this scope

Note You need to log in before you can comment on or make changes to this bug.